cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/milestones/4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.workflows.delete_milestone("4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.workflows.deleteMilestone('4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->workflows->deleteMilestone('4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c');
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.workflows().deleteMilestone("4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Workflows.DeleteMilestoneAsync("4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.workflows.deleteMilestone(
'4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Workflows().DeleteMilestone(context.Background(), "4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Workflows
Delete a milestone
Deletes one milestone. Nothing comes back.
DELETE
/
milestones
/
{milestone_uuid}
cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/milestones/4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.workflows.delete_milestone("4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.workflows.deleteMilestone('4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->workflows->deleteMilestone('4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c');
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.workflows().deleteMilestone("4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Workflows.DeleteMilestoneAsync("4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.workflows.deleteMilestone(
'4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Workflows().DeleteMilestone(context.Background(), "4c8e2a6d-1b3f-4d5e-9a7c-0e2f4b6d8a1c", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns
204 with no body. A milestone id that does not exist returns 404 with the code resource_not_found.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.